ObjectsWithPackage-class {methods} | R Documentation

## A Vector of Object Names, with associated Package Names

### Description

This class of objects is used to represent ordinary character string object names, extended with a `package` slot naming the package associated with each object.

### Objects from the Class

The function `getGenerics` returns an object of this class.

### Slots

`.Data`:
  Object of class `"character"`: the object names.
`package`:
  Object of class `"character"` the package names.

### Extends

Class `"character"`, from data part.
Class `"vector"`, by class `"character"`.

### See Also

`Methods` for general background.

[Package Contents]